//https://www.youtube.com/BitaBit

//Para mais informações sobre este código acesse:
//https://youtu.be/U7RcNgb9qBE

//https://bitabittecnologia.com.br

#include <FastLED.h>

//Quantidade de LEDs na fita
#define NUM_LEDS 144

//CRGBArray de LEDs
CRGBArray<NUM_LEDS> leds;

void setup()
{ 
  FastLED.addLeds<NEOPIXEL, 3>(leds, NUM_LEDS); 
}

void loop()
{ 
  for(int i=0; i<NUM_LEDS; i++) 
  {   
    leds.fadeToBlackBy(10);

    leds[i] = CRGB::Green;
    FastLED.show();
    delay(50);
  }
}

